"""
Must change

Automatic verification that the ANUGA code validates against the Boundary file 
dataset as expected. See anuga_validation/okushiri_2005 for more details
"""

import unittest
import os


class Test_Bf(unittest.TestCase):
    def setUp(self):

        # Remove garbage
        for file in os.listdir('.'):
            if file.endswith('.stdout') or\
               file.endswith('.sww') or\
               file.endswith('.csv'):
                os.remove(file)
                
    def tearDown(self):
        pass

    def test_compare_URSsww_vs_EvolveANUGAsww(self):    
        
        self.setUp()
        
        s = 'run_Bf.py'
        #print s
        res = os.system('python %s > compare_timeseries.stdout'\
                        %s)
        assert res == 0
        
        self.cleanUp()
        
    def cleanUp(self):

        # Remove garbage
        print 'clean up'
        for file in os.listdir('.'):
            if file.endswith('.sww') or\
               file.endswith('.csv'):
                os.remove(file)
                



#-------------------------------------------------------------
if __name__ == "__main__":
    suite = unittest.makeSuite(Test_Bf,'test')
    runner = unittest.TextTestRunner(verbosity=2)
    runner.run(suite)
